Package org.opensaml.soap.wstrust

# Interface Lifetime

All Superinterfaces:
  `WSTrustObject`, `XMLObject`

All Known Implementing Classes:
  `LifetimeImpl`

public interface Lifetime extends WSTrustObject
The wst:Lifetime element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Created`
`getCreated()`
Returns the wsu:Created child element.
`Expires`
`getExpires()`
Returns the wsu:Expires child element.
`void`
`setCreated(Created created)`
Sets the wsu:Created child element.
`void`
`setExpires(Expires expires)`
Sets the wsu:Expires child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getCreated

@Nullable Created getCreated()
Returns the wsu:Created child element.

Returns:
  the `Created` child element or `null`.

### setCreated

void setCreated(@Nullable Created created)
Sets the wsu:Created child element.

Parameters:
  `created` - the `Created` child element to set.

### getExpires

@Nullable Expires getExpires()
Returns the wsu:Expires child element.

Returns:
  the `Expires` child element or `null`.

### setExpires

void setExpires(@Nullable Expires expires)
Sets the wsu:Expires child element.

Parameters:
  `expires` - the `Expires` child element.